matrix:
  platform:
    - linux/amd64
  goversion:
    - 1.24
    - 1.23

labels:
  platform: ${platform}
    
steps:
  build:
    when:
      event: [push]
    image: golang:${goversion}
    commands:
      - go get
      - go build
      - go test
